Bug 58831 - aacraid driver don't detect percraid
aacraid driver don't detect percraid
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 08:53 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-28 11:16:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci command (1018 bytes, text/plain)
2002-01-25 09:02 EST, Need Real Name
no flags Details
output of lspci -v and lspci -n command (4.55 KB, text/plain)
2002-01-25 09:07 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-01-25 08:53:01 EST
Description of Problem:
system hang during startup when try to detect percraid on Dell Power Edge 2500 
with percraid 3/Di after install new RH kernel-2.4.9-21.i686.rpm


Version-Release number of selected component (if applicable):
kernel-2.4.9-21

How Reproducible:
boot with 2.4.9-21 kernel

Steps to Reproduce:
1. rpm -ivh kernel-2.4.9-21.i686.rpm
2. mkbootdisk --device /dev/fd0 2.4.9-21
3. shutdown -r -y 0

Actual Results:
back to kernel 2.4.9-13


Expected Results:
right detect of percraid

Additional Information:
aacraid driver with kernel 2.4.9-21 is different from 2.4.9-13
Comment 1 Arjan van de Ven 2002-01-25 08:56:52 EST
Please provide lspci -v and lspci -n output so that I can see which PCI ID your
model has
Comment 2 Need Real Name 2002-01-25 09:02:23 EST
Created attachment 43457 [details]
output of lspci command
Comment 3 Need Real Name 2002-01-25 09:07:54 EST
Created attachment 43458 [details]
output of lspci -v and lspci -n command
Comment 4 Alan Cox 2002-02-11 11:46:19 EST
This card id is known by the current driver. What precisely do the boot
messages say after the aacraid module is loaded during the boot and before
it fails ?
Comment 5 Need Real Name 2002-02-11 12:10:09 EST
Is there any method to record fail start on a file ?( I don't think to hand write gerogliphical message)
Comment 6 Alan Cox 2002-02-11 12:20:33 EST
Without it finding the disks at boot - Im afraid not. What I need to know is
what it prints after

Red Hat/Adaptec aacraid driver ...

for the next few lines, and also the message at the end when it gives up

Comment 7 Need Real Name 2002-02-11 12:58:44 EST
I don't believe but I have make it !:
VFS: Mounted root (ext2 filesystem).
Red Hat nash version 3.2.6 starting
Loading scsi_mod module
SCSI subsystem driver revision: 1.00
Loading sd_mod module
Loading aacraid module
Red Hat/Adaptec aacraid driver, Jan 17 2002
*    PCI: Found IRQ 11 for device 01:02.1
**  PCI: Sharing IRQ 11 with 02:04.0
repeat line *
repeat line **
repeat line *
repeat line **
... and system remain indefinitely here without further message
Comment 8 Alan Cox 2002-02-11 13:19:05 EST
Ok can you try the kernel from

http://domsch.com/linux

Thats Matt Domsch at Dell, and they have a kernel with a further fix for the
aacraid in which may be relevant. Let me know if it fixes the problem, and we
hope to have that fix in our next errata
Comment 9 Need Real Name 2002-02-28 11:16:51 EST
The bug is resolved with kernel-2.4.9-31

Note You need to log in before you can comment on or make changes to this bug.